PluralAttributeKeySourceImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.hbm
Class PluralAttributeKeySourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.hbm.PluralAttributeKeySourceImpl

All Implemented Interfaces:
  PluralAttributeKeySource

    public class PluralAttributeKeySourceImpl

extends Object
implements PluralAttributeKeySource

Constructor Summary
`PluralAttributeKeySourceImpl(JaxbKeyElement keyElement, AttributeSourceContainer container)`

Method Summary
`String` | `getExplicitForeignKeyName()`
`ForeignKey.ReferentialAction` | `getOnDeleteAction()`
`String` | `getReferencedEntityAttributeName()`
`List<RelationalValueSource>` | `getValueSources()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluralAttributeKeySourceImpl

    public PluralAttributeKeySourceImpl(JaxbKeyElement keyElement,
                                        AttributeSourceContainer container)

Method Detail

### getValueSources

    public List<RelationalValueSource> getValueSources()

  Specified by:
    `getValueSources` in interface `PluralAttributeKeySource`

### getExplicitForeignKeyName

    public String getExplicitForeignKeyName()

  Specified by:
    `getExplicitForeignKeyName` in interface `PluralAttributeKeySource`

### getOnDeleteAction

    public ForeignKey.ReferentialAction getOnDeleteAction()

  Specified by:
    `getOnDeleteAction` in interface `PluralAttributeKeySource`

### getReferencedEntityAttributeName

    public String getReferencedEntityAttributeName()

  Specified by:
    `getReferencedEntityAttributeName` in interface `PluralAttributeKeySource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.